"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useObserveResize = void 0;
const react_1 = require("react");
const useResizeObserver_js_1 = require("./useResizeObserver.js");
function useObserveResize(onResize, options) {
    const [getResizeObserver, refResizeObserver] = (0, useResizeObserver_js_1.useResizeObserver)((entries, ro) => {
        onResize(entries[0], ro);
    });
    return (0, react_1.useCallback)((target) => {
        if (target) {
            const resizeObserver = getResizeObserver();
            resizeObserver.observe(target, options);
        }
        else {
            refResizeObserver.current?.disconnect();
        }
    }, [options]);
}
exports.useObserveResize = useObserveResize;
