import { useCallback } from "react";
import { useResizeObserver } from "./useResizeObserver.js";
export function useObserveResize(onResize, options) {
    const [getResizeObserver, refResizeObserver] = useResizeObserver((entries, ro) => {
        onResize(entries[0], ro);
    });
    return useCallback((target) => {
        if (target) {
            const resizeObserver = getResizeObserver();
            resizeObserver.observe(target, options);
        }
        else {
            refResizeObserver.current?.disconnect();
        }
    }, [options]);
}
